GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/target-dcache.h File Reference
`#include "dcache.h"`

Go to the source code of this file.

## Functions
void | target_dcache_invalidate (void)
DCACHE * | target_dcache_get (void)
DCACHE * | target_dcache_get_or_init (void)
int | target_dcache_init_p (void)
int | stack_cache_enabled_p (void)
int | code_cache_enabled_p (void)

## Function Documentation

## ◆ code_cache_enabled_p()

int code_cache_enabled_p | ( | void |  | ) |

Definition at line 166 of file target-dcache.c.

References code_cache_enabled.

Referenced by memory_xfer_partial_1(), and raw_memory_xfer_partial().

## ◆ stack_cache_enabled_p()

int stack_cache_enabled_p | ( | void |  | ) |

Definition at line 126 of file target-dcache.c.

References stack_cache_enabled.

Referenced by memory_xfer_partial_1(), and raw_memory_xfer_partial().

## ◆ target_dcache_get()

DCACHE* target_dcache_get | ( | void |  | ) |

Definition at line 66 of file target-dcache.c.

References program_space::aspace, current_program_space, and target_dcache_aspace_key.

Referenced by info_dcache_command(), and raw_memory_xfer_partial().

## ◆ target_dcache_get_or_init()

DCACHE* target_dcache_get_or_init | ( | void |  | ) |

Definition at line 79 of file target-dcache.c.

References program_space::aspace, current_program_space, dcache_init(), and target_dcache_aspace_key.

Referenced by memory_xfer_partial_1().

## ◆ target_dcache_init_p()

int target_dcache_init_p | ( | void |  | ) |

Definition at line 40 of file target-dcache.c.

References program_space::aspace, current_program_space, and target_dcache_aspace_key.

Referenced by raw_memory_xfer_partial().

## ◆ target_dcache_invalidate()

void target_dcache_invalidate | ( | void |  | ) |

Definition at line 52 of file target-dcache.c.

References program_space::aspace, current_program_space, dcache_invalidate(), and target_dcache_aspace_key.

Referenced by delete_mem_command(), disable_mem_command(), enable_mem_command(), fetch_inferior_event(), prepare_execute_command(), prepare_for_detach(), set_code_cache(), set_dcache_line_size(), set_dcache_size(), set_stack_cache(), target_load(), target_resume(), tfind_1(), wait_for_inferior(), and wait_one().